#!/bin/bash

USAGE="Usage: `basename $0` [-e extensions_file] [path]"

FIND=/usr/bin/find

# check if existing package extensions file is given
if [ "$1" == "-e" ]
then
	if [ -f "$2" -a -r "$2" ]
	then
		extensions="$2"
		shift
		shift
	else
		echo "$USAGE"
		exit 1
	fi
else
	extensions=/dev/null
fi

directory="${1:-/}"

echo "Finding package extensions. Searching in $directory..." > /dev/stderr
if [ "$directory" == "/" ]
then
	FIND="sudo $FIND"
fi

$FIND "$directory" -type d -exec `dirname $0`/isPackage '{}' \; -print| sed 's/.*\.\([a-zA-Z0-9]*\)$/\1/' | cat "$extensions" - | sort -u
